<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: draw.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>draw.c</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga02f9efd2c5d1bdd9d7a6ab18475bbd08">mdraw_text</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> win, int x, int y, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ウィンドウに M-text を描画する.  <a href="group__m17nDraw.html#ga02f9efd2c5d1bdd9d7a6ab18475bbd08"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#gab2de737f283237157b9035961f5a4fa6">mdraw_image_text</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> win, int x, int y, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ディスプレイにM-text を画像として描く.  <a href="group__m17nDraw.html#gab2de737f283237157b9035961f5a4fa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga43ad1fe4a4a8db80a46450dfa250777a">mdraw_text_with_control</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> win, int x, int y, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ディスプレイにM-text を詳細な制御つきで描く.  <a href="group__m17nDraw.html#ga43ad1fe4a4a8db80a46450dfa250777a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga4f5a3138a20bef57e8660975200a4604">mdraw_text_extents</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_ink_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_logical_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_line_return)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストの幅（ピクセル単位）を計算する.  <a href="group__m17nDraw.html#ga4f5a3138a20bef57e8660975200a4604"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#gae31ef0340c582c208f07f702f816977f">mdraw_text_per_char_extents</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *ink_array_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *logical_array_return, int array_size, int *num_chars_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_ink_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_logical_return)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text の各文字の表示範囲を計算する.  <a href="group__m17nDraw.html#gae31ef0340c582c208f07f702f816977f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga30321da41dd8785e54627e845a26cf00">mdraw_coordinates_position</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, int x_offset, int y_offset, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指定した座標に最も近い文字の文字位置を得る.  <a href="group__m17nDraw.html#ga30321da41dd8785e54627e845a26cf00"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga0b79b3b695577bee9c0d41d4947e7a16">mdraw_glyph_info</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int pos, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control, <a class="el" href="structMDrawGlyphInfo.html">MDrawGlyphInfo</a> *info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフに関する情報を計算する.  <a href="group__m17nDraw.html#ga0b79b3b695577bee9c0d41d4947e7a16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc">mdraw_glyph_list</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control, <a class="el" href="structMDrawGlyph.html">MDrawGlyph</a> *glyphs, int array_size, int *num_glyphs_return)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフ列に関する情報を計算する.  <a href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga41ee093d2d8b2d6a8c499ac8802871d6">mdraw_text_items</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> win, int x, int y, <a class="el" href="structMDrawTextItem.html">MDrawTextItem</a> *items, int nitems)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">textitem を表示する.  <a href="group__m17nDraw.html#ga41ee093d2d8b2d6a8c499ac8802871d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga457d91ccebabb26e1d7ab27f616cecb5">mdraw_default_line_break</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int from, int to, int line, int y)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">改行位置を計算する.  <a href="group__m17nDraw.html#ga457d91ccebabb26e1d7ab27f616cecb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#gae05aed269fc5fe20557a297f439a88ea">mdraw_per_char_extents</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *array_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_return)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text の文字毎の表示範囲情報を得る.  <a href="group__m17nDraw.html#gae05aed269fc5fe20557a297f439a88ea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga74e7bee7646b408dbf11b4866afb1098">mdraw_clear_cache</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">キャッシュ情報を消す.  <a href="group__m17nDraw.html#ga74e7bee7646b408dbf11b4866afb1098"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#gaae4c0c421e284fc8084998d20e4a40c5">mdraw_line_break_option</a></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
